Установите конкретный пакет драйверов NVIDIA и не обновите его через переходный пакет

4

Из-за этой ошибки 1674930 мой Amazon G2 и Установки P2 перестали работать правильно. Мне нужен драйвер 367. Когда вы пытаетесь установить 367, он говорит, что фактически устанавливает драйвер 375, который несовместим с оборудованием G2 и P2. Предыдущая версия 367 прошла нормально.

Когда я запускаю apt-cache search nvidia-367 Это показывает, что это «переходный пакет для nvidia-375». Что это значит? Я ожидал, что когда я установлю 367, он установит 367 не 375. Как заблокировать его на 367?

Естественно, я попытался установить nvidia-361, но он утверждает, что это переходный пакет на 367, который, как вы догадались, является переходным пакетом до 375, поэтому независимо от того, какой из них выбран, он пытается установить 375, который сломан для меня.

Есть ли способ остановить переход и просто остановиться у водителя, которого я выбираю? Я пробовал apt-mark hold nvidia-367 , который не работал.

Любые варианты оценены.     

задан Matt H 24.03.2017 в 04:03
источник

1 ответ

0

"Переходный пакет" может не быть тем, что действительно может быть установлено; см. Какая цель имеет переходные пакеты?

Я не знаю об этом, но, возможно, есть другой источник для точной версии.

    
ответ дан kurja 24.03.2017 в 08:57